org.apache.lucene.queryParser.standard.config

## Class StandardQueryConfigHandler

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.queryParser.core.config.QueryConfigHandler
    - - org.apache.lucene.queryParser.standard.config.StandardQueryConfigHandler

-     public class StandardQueryConfigHandler
      extends QueryConfigHandler

  This query configuration handler is used for almost every processor defined in the `StandardQueryNodeProcessorPipeline` processor pipeline. It holds attributes that reproduces the configuration that could be set on the old lucene 2.4 QueryParser class.
  See Also:
    `StandardQueryNodeProcessorPipeline`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

      `org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardQueryConfigHandler()`

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.queryParser.core.config.QueryConfigHandler

      `addFieldConfigListener, getFieldConfig`

    - ### Methods inherited from class org.apache.lucene.util.AttributeSource

      `addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, restoreState, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StandardQueryConfigHandler

          public StandardQueryConfigHandler()

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.